# $Revision: 1.5 $, $Date: 2009/11/21 12:44:33 $
Summary:	The C version of the libstemmer library
Name:		libstemmer
Version:	20090915
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://snowball.tartarus.org/dist/%{name}_c.tgz
# Source0-md5:	530e491060442013e2c39d34275e4bfd
Patch0:		%{name}-makefile.patch
Patch1:		libtool-tag.patch
Patch2:		optflags.patch
URL:		http://snowball.tartarus.org/
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Snowball is a small string processing language designed for creating
stemming algorithms for use in Information Retrieval.

This package containst the C version of the libstemmer library.

%package devel
Summary:	Header files for libstemmer library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libstemmer
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libstemmer library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libstemmer.

%package static
Summary:	Static libstemmer library
Summary(pl.UTF-8):	Statyczna biblioteka libstemmer
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libstemmer library.

%description static -l pl.UTF-8
Statyczna biblioteka libstemmer.

%package utils
Summary:	The stemwords utility using the libstemmer library
Summary(pl.UTF-8):	Narzędzie stemwords korzystające z biblioteki libstemmer
Group:		Application/Text

%description utils
The stemwords utility using the libstemmer library

%description utils -l pl.UTF-8
Narzędzie stemwords korzystające z biblioteki libstemmer.

%prep
%setup -q -n %{name}_c
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	libdir=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libstemmer.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libstemmer.so.0

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}
%{_libdir}/libstemmer.so
%{_libdir}/libstemmer.la

%files static
%defattr(644,root,root,755)
%{_libdir}/libstemmer.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/stemwords

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libstemmer.spec,v $
Revision 1.5  2009/11/21 12:44:33  glen
- this is package not site; rel 2

Revision 1.4  2009/11/21 12:38:31  glen
- add libtool --tag, optflags. patches

Revision 1.3  2009/10/28 20:27:37  arekm
- up to 20090915

Revision 1.2  2009/06/15 08:40:39  pawelz
- up to 20081124
- verbose %files
- ghost so symlink

Revision 1.1  2008/08/02 19:58:23  adamg
- new
